Updates a DeviceApplication.
| Name | Description | Additional information |
|---|---|---|
| deviceId |
Define this parameter in the request URI. |
|
| applicationId |
Define this parameter in the request URI. |
|
| deviceApplicationRepresentation |
Define this parameter in the request body. |
{
"deviceId": "08ba780a-5248-46ec-8f2a-1d00579a1842",
"applicationId": "7d9c1fda-7a67-4674-ba65-9b4b19e90e9f",
"isLicensed": true,
"createdDateUtc": "2026-09-05T05:37:11.5373939+00:00",
"updatedDateUtc": "2026-09-05T05:37:11.5373939+00:00"
}
<DeviceApplicationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1"> <CreatedDateUtc>2026-09-05T05:37:11.5373939+00:00</CreatedDateUtc> <UpdatedDateUtc>2026-09-05T05:37:11.5373939+00:00</UpdatedDateUtc> <ApplicationId>7d9c1fda-7a67-4674-ba65-9b4b19e90e9f</ApplicationId> <DeviceId>08ba780a-5248-46ec-8f2a-1d00579a1842</DeviceId> <IsLicensed>true</IsLicensed> </DeviceApplicationRepresentation>
Sample not available.